Subject: Re: [OSPF] 2 BCP or not 2 BCP

From: Curtis Villamizar <[email-masked]>
Date: Tue, 12 Feb 2008 12:25:53 -0500

In message <[email-masked]>
Acee Lindem writes:
>  
>  
>  
> Hi Thomas,
> I remember that the consensus was that we would not work on a  
> simplified version of OSPF. We raised the issue of whether a document  
> on how to simplify OSPF deployment would be valuable and there was  
> interest in this. The danger that I see is that what is best for one  
> environment is not necessarily the best solution for others. Also,  
> I'm not sure we could reach consensus on a document we'd be willing  
> to call a BCP being endorsed by the entire WG.
> Thanks,
> Acee
>  
> On Jan 29, 2008, at 2:34 PM, Thomas, Matthew R wrote:
>  
> > Hi WG,
> >
> >
> >
> > In Vancouver there was a vote for production of a more up to date  
> > OSPF BCP containing general guidance to reduce unnecessary LSA2  
> > generation, and to re-scale perceptions of the protocol performance  
> > and capabilities.
> >
> >
> >
> > Are there any thoughts?
> >
> >
> >
> > *Dave W. can I move forward with this? There seemed an overwhelming  
> > vote that something more modern could be done and that this looks  
> > like a good idea. *Abhay would you like to co-author this if we go  
> > ahead?
> >
> >
> >
> > Matthew R Thomas

Acee,

Clearly you would not get consensus on a document that rigidly defined
the "One True Way" to configure an OSPF network.

OTOH you can quite easily get consensus on many things that you should
not do.  Injecting full BGP routes into OSPF as ASE comes into mind.

There may be room for a document that describes a number of "good
practices" that we generally agree on, a couple of possibly bad
practices, saying why they are bad but maybe saying why they might be
used anyway, and a couple of really terrible practices that we all
agree on like the on mentioned above.

If Matthew wants to take a shot at it, it might be worth the WG's
time.  I suggest that we agree up front that the review periods be
much longer (really long last call periods) so that people trying to
read and provide comments in spare time don't miss the window.  In
this case a draft is almost as good as an RFC since it will be just
informational (BCP actually, but recommendations only).

If so, first we need an initial draft and WG consensus to move
forward with it and we have neither.

Curtis
_______________________________________________
OSPF mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/ospf